<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	template="/back/back.xhtml" xmlns:p="http://primefaces.org/ui">

	<ui:define name="events">
		<li class="nav-item active"><h:form>
				<h:commandLink action="/back-pages/event/event?faces-redirect=true"
					styleClass="nav-link">
					<i class="material-icons">event</i>
					<p>Events</p>
				</h:commandLink>
			</h:form></li>
	</ui:define>

	<ui:define name="page"> Events </ui:define>
	<ui:define name="content">
		<h:form>
			<h:commandButton action="/back-pages/event/create?faces-redirect=true" value="Create New" styleClass="btn btn-info"/>
					</h:form>
		
		<div class="container-fluid">
			<div class="row">
				<div class="col-md-12">
					<div class="card">
						<div class="card-header card-header-primary">

							<h3 class="card-title ">Events</h3>
						</div>
					
						<div class="card-body">
							<div class="table-responsive">
								<table class="table">
								
									<h:form id="form">
		
	
	<h:panelGroup  >

	

	
		

			<h:dataTable value="#{eventBean.events}" var="e"
				 class="table">
				<h:column>
					<f:facet name="header">
						<h:outputText value="Name" />
					</f:facet>
					<h:outputText value="#{e.name}" />
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="Picture" />
					</f:facet>
					<h:outputText value="#{e.picture}" />
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="Theme" />
					</f:facet>
					<h:outputText value="#{e.theme}" />
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="Location" />
					</f:facet>
					<h:outputText value="#{e.location}" />
				</h:column>
				
				<h:column>
					<f:facet name="header">
						<h:outputText value="Start Date" />
					</f:facet>
					<h:outputText value="#{e.startDate}" >
					<f:convertDateTime pattern="dd-MM-yyyy"/></h:outputText>
					  
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="End Date" />
					</f:facet>
					<h:outputText value="#{e.endDate}"  >
					<f:convertDateTime pattern="dd-MM-yyyy"/> </h:outputText> 
				</h:column>
				<h:column>
					<f:facet name="header">
						<h:outputText value="Action" />
					</f:facet>
					
					<h:commandButton action="#{eventBean.supprimer(e)}"
						value="Delete" /> |
					<h:commandButton action="#{eventBean.modifier(e)}"
						value="Update" />
						
				</h:column>
			</h:dataTable>
		
	</h:panelGroup>
	
</h:form>

  </table> 
								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
				
					
	</ui:define>
</ui:composition>
